Main Page Widgets Namespaces Book

# Gtk::TreeIterBase Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeIterBase:

[legend]
List of all members.

## Public Member Functions
const GtkTreeIter* | gobj () const
| Provides access to the underlying C instance.
GtkTreeIter* | gobj ()
| Provides access to the underlying C instance.
| TreeIterBase (const GtkTreeIter* gobject)
| TreeIterBase ()
## Protected Attributes
GtkTreeIter | gobject_

## Constructor & Destructor Documentation

Gtk::TreeIterBase::TreeIterBase | ( |  | ) |

Gtk::TreeIterBase::TreeIterBase | ( | const GtkTreeIter* | gobject | ) | `[explicit]`

## Member Function Documentation

const GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance. Reimplemented in Gtk::TreeRow.

GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance. Reimplemented in Gtk::TreeRow.

## Member Data Documentation

GtkTreeIter Gtk::TreeIterBase::gobject_`[protected]`

The documentation for this class was generated from the following file:

- treeiter.h